Bug 59885 - Incorrect multiplier for constraint is shown
Summary: Incorrect multiplier for constraint is shown
Status: NEEDINFO
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS Designer (show other bugs)
Version: 4.8.0 (15.5)
Hardware: PC All
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-10-02 08:05 UTC by Sergei
Modified: 2018-01-30 20:30 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Log (39.17 KB, text/plain)
2017-12-08 12:40 UTC, Sergei
Details
Test project (15.79 KB, application/x-zip-compressed)
2017-12-08 12:42 UTC, Sergei
Details
Bug screencast (1016.01 KB, video/mp4)
2018-01-30 16:40 UTC, Sergei
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 59885 on Developer Community if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.
Related Links:
Status:
NEEDINFO

Description Sergei 2017-10-02 08:05:59 UTC
1) Create for some widget several constraints with different multipliers 
2) Open Layout tab in Properties dialog for this widget
3) Sequentially open all created constraints for editing (double click on constraint). You can see that multiplier for first opened constraint is always shown/

Version of Visual Studio extension is 4.7.9.45, Visual Studio version is 15.3.5 (last available).
Comment 1 Alan McGovern 2017-10-02 08:45:39 UTC
This should already be fixed in newer builds. If it is not in the 15.4 builds which have been in the preview channel for the last few months then it will be in the 15.5 builds which will be in the preview channel shortly!

Thansk!
Comment 2 Sergei 2017-10-25 05:36:04 UTC
It isn't fixed in VS 15.4.1. It's to use ios designer with such annoying error. Please, release this fix in next minor update of 15.4.
Comment 3 Sergei 2017-10-25 05:36:32 UTC
*impossible
Comment 4 Sergei 2017-10-25 05:39:00 UTC
And i have no possibility to install many gigabytes of new beta version.
Comment 5 John Miller [MSFT] 2017-12-05 21:00:53 UTC
Hi Sergei,

I'm unable to reproduce this with 15.5. Can you confirm that you don't experience this issue anymore with 15.5? Thanks!
Comment 6 Sergei 2017-12-08 12:01:22 UTC
This problem still exists in last Visual Studio for Mac. I can't check Windows because of incorrect work of Xamarin Designer.
Comment 7 Alan McGovern 2017-12-08 12:29:22 UTC
Can you attach the logs from VSM 15.5 when you triggered the error? The only known issue was fixed, so if you're still seeing problems that may help us. Thanks!
Comment 8 Sergei 2017-12-08 12:40:35 UTC
Created attachment 25948 [details]
Log
Comment 9 Sergei 2017-12-08 12:42:45 UTC
Created attachment 25949 [details]
Test project

There are two width constraints here: with multiplier 0.5 and 0.7 correspondingly.
These multipliers are shown correctly in Document Outline, but when I open constraint editing form, multiplier for first opened constraint is shown.
Comment 10 Sergei 2017-12-21 12:02:53 UTC
Have anybody checked this test project?
Comment 11 Sergei 2017-12-26 12:16:25 UTC
No feedback again. Nobody reads this bug-tracker. Nobody fixes annoying bugs. How to use Xamarin in the such situation?
Comment 12 John Miller [MSFT] 2018-01-29 21:31:33 UTC
@Sergei,

Thanks so much for taking the time to submit the test project! I apologize it has not been updated recently. I attempted to reproduce this issue based on the bug description with the latest Visual Studio 2017 for Mac Preview version 7.4, and I was unable to hit the problem. I also tried with an older 7.2.2 version of VSMac and still did not see the issue. Could you record a screencast of the problem and share it? Perhaps I am not taking the appropriate steps. Please also ping me when you comment with @John so that I can find this easier and update it faster. Thanks!
Comment 13 Sergei 2018-01-30 16:40:28 UTC
Created attachment 26142 [details]
Bug screencast
Comment 14 Sergei 2018-01-30 16:41:19 UTC
I've attached video from latest stable version of Visual Studio (Windows).
Comment 15 Sergei 2018-01-30 16:43:56 UTC
Sorry, not latest but 15.5.5, I haven't seen new version =) If you won't reproduce this bug, I'll retest on 15.5.6.
Comment 16 John Miller [MSFT] 2018-01-30 19:31:54 UTC
@Sergei,

Thanks for the screencast. I cannot reproduce this at all in either VS 2015 or VS 2017 with 15.5.5. 

It looks like you might be using Windows 7 - can you confirm? Please also paste in your full version info from VS > Help > About Visual Studio > Copy Information. Thanks!
Comment 17 Sergei 2018-01-30 20:26:38 UTC
Yes, i'm using Windows 7.

Microsoft Visual Studio Community 2017 
Version 15.5.6
VisualStudio.15.Release/15.5.6+27130.2027
Microsoft .NET Framework
Version 4.7.02053

Installed Version: Community

Visual Basic 2017   00369-60000-00001-AA085
Microsoft Visual Basic 2017

Visual C# 2017   00369-60000-00001-AA085
Microsoft Visual C# 2017

Visual C++ 2017   00369-60000-00001-AA085
Microsoft Visual C++ 2017

Visual F# 4.1   00369-60000-00001-AA085
Microsoft Visual F# 4.1

Application Insights Tools for Visual Studio Package   8.10.01106.1
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2017   15.0.31127.0
ASP.NET and Web Tools 2017

ASP.NET Core Razor Language Services   1.0
Provides languages services for ASP.NET Core Razor.

ASP.NET Web Frameworks and Tools 2017   5.2.51007.0
For additional information, visit https://www.asp.net/

Azure App Service Tools v3.0.0   15.0.31106.0
Azure App Service Tools v3.0.0

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.2.9000.1
Microsoft Azure Data Lake Tools for Visual Studio

Azure Data Lake Tools for Visual Studio   2.2.9000.1
Microsoft Azure Data Lake Tools for Visual Studio

Common Azure Tools   1.10
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Cookiecutter   3.0.17320.1
Provides tools for finding, instantiating and customizing templates in cookiecutter format.

Dotfuscator Community Edition   5.32.1.6167-6ce295ebd
PreEmptive Protection - Dotfuscator CE

Fabric.DiagnosticEvents   1.0
Fabric Diagnostic Events

GitHub.VisualStudio   2.2.0.10
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

JavaScript UWP Project System   2.0
JavaScript UWP Project System

JetBrains ReSharper Ultimate 2017.3.1    Build 111.0.20171221.145902
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2018 JetBrains, Inc.

Merq   1.1.17-rc (cba4571)
Command Bus, Event Stream and Async Manager for Visual Studio extensions.

Microsoft Azure HDInsight Azure Node   2.2.9000.1
HDInsight Node under Azure Node

Microsoft Azure Hive Query Language Service   2.2.9000.1
Language service for Hive query

Microsoft Azure Service Fabric Tools for Visual Studio   2.0
Microsoft Azure Service Fabric Tools for Visual Studio

Microsoft Azure Stream Analytics Language Service   2.2.9000.1
Language service for Azure Stream Analytics

Microsoft Azure Stream Analytics Node   1.0
Azure Stream Analytics Node under Azure Node

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2017 - v2.9.51120.3

Microsoft Continuous Delivery Tools for Visual Studio   0.3
Simplifying the configuration of continuous build integration and continuous build delivery from within the Visual Studio IDE.

Microsoft JVM Debugger   1.0
Provides support for connecting the Visual Studio debugger to JDWP compatible Java Virtual Machines

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

Microsoft Visual C++ Wizards   1.0
Microsoft Visual C++ Wizards

Microsoft Visual Studio Tools for Containers   1.1
Develop, run, validate your ASP.NET Core applications in the target environment. F5 your application directly into a container with debugging, or CTRL + F5 to edit & refresh your app without having to rebuild the container.

Microsoft Visual Studio VC Package   1.0
Microsoft Visual Studio VC Package

Mono Debugging for Visual Studio   4.8.4-pre (3fe64e3)
Support for debugging Mono processes with Visual Studio.

Node.js Tools   1.4.11025.7
Adds support for developing and debugging Node.js apps in Visual Studio

NuGet Package Manager   4.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2017 ENU   15.0.27005.00
Microsoft Office Developer Tools for Visual Studio 2017 ENU

Python   3.0.17320.1
Provides IntelliSense, projects, templates, debugging, interactive windows, and other support for Python developers.

Python - Django support   3.0.17320.1
Provides templates and integration for the Django web framework.

Python - IronPython support   3.0.17320.1
Provides templates and integration for IronPython-based projects.

Python - Profiling support   3.0.17320.1
Profiling support for Python projects.

SQL Server Data Tools   15.1.61710.120
Microsoft SQL Server Data Tools

tangible T4 Editor   2.4.0
tangible engineering GmbH

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript Tools   15.5.11025.1
TypeScript Tools for Microsoft Visual Studio

Visual C++ for Linux Development   1.0.8
Visual C++ for Linux Development

Visual Studio Code Debug Adapter Host Package   1.0
Interop layer for hosting Visual Studio Code debug adapters in Visual Studio

Visual Studio Tools for Apache Cordova   15.123.6829.2
Visual Studio Tools for Apache Cordova

Visual Studio Tools for CMake   1.0
Visual Studio Tools for CMake

Visual Studio Tools for Unity   3.5.0.3
Visual Studio Tools for Unity

Visual Studio Tools for Universal Windows Apps   15.0.27130.2020
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

VisualStudio.Mac   1.0
Mac Extension for Visual Studio

WebJobs Tools v1.0.0   15.0.31106.0
WebJobs Tools v1.0.0

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   4.8.0.760 (fc93f3f5b)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin Designer   4.8.188 (c5813fa34)
Visual Studio extension to enable Xamarin Designer tools in Visual Studio.

Xamarin.Android SDK   8.1.5.0 (HEAD/75f8c6838)
Xamarin.Android Reference Assemblies and MSBuild support.

Xamarin.iOS and Xamarin.Mac SDK   11.6.1.4 (db807ec)
Xamarin.iOS and Xamarin.Mac Reference Assemblies and MSBuild support.
Comment 18 Sergei 2018-01-30 20:30:48 UTC
I've retested on 15.5.6, the result is the same.